<!DOCTYPE html>
<html>
  <head>
    <meta charset="utf-8" />
    <style>
      body {
        width: 410px;
      }

      .flex-bar {
        display: flex;
        justify-content: space-between;
        align-items: center;
      }

      menu {
        display: flex;
        padding: 0;
        justify-content: center;
      }

      menu > * {
        margin: 0 0.1rem;
      }

      #presets-list > section {
        display: flex;
        flex-wrap: wrap;
        margin-bottom: 1.5rem;
      }

      #presets-list > section > button {
        margin: 0.1rem;
        flex: 1 1 25%;
      }

      #presets-list > section > button.active,
      #presets-list > section > button:active {
        background-color: lightgoldenrodyellow;
      }

      table {
        width: 100%;
      }

      table input {
        width: 100%;
        height: 1.8rem;
        margin: 0 0.2rem;
        box-sizing: border-box;
      }

      table button {
        width: 100%;
        margin: 0 0.2rem;
        text-align: center;
      }

      th {
        text-align: left;
        font-size: 1.1rem;
      }

      td {
        text-align: center;
      }

      tfoot button {
        width: 100%;
      }
    </style>
  </head>
  <body>
    <div class="flex-bar">
      <h2>Presets</h2>

      <menu>
        <button id="save">Save</button>
        <input id="preset-name" placeholder="Preset Name" />
        <button id="delete">Delete</button>
      </menu>
    </div>

    <section id="presets-list"></section>

    <div class="flex-bar">
      <h2>Parameters</h2>
      <div>
        <button id="clipboard">Clipboard</button>
        <button id="apply">Apply</button>
      </div>
    </div>

    <div>
      <table>
        <thead>
          <tr>
            <th>Name</th>
            <th>Value</th>
            <th></th>
          </tr>
        </thead>
        <tbody id="parameters-table"></tbody>
        <tfoot>
          <tr>
            <td colspan="2">
              <button id="add">➕</button>
            </td>
            <td>
              <button id="help">❓</button>
            </td>
          </tr>
        </tfoot>
      </table>
    </div>

    <script src="popup.js"></script>
  </body>
</html>
